<templates>

	<!-- Component Selection -->
	<controltemplate name="component_selection" version="1">
		<!--
    Available Attributes:
      (Optional) selection_filter: "vertex|edge|face|body|node"
      (Optional) default_component: true or false(default), indicate if this scoping is the default scoping
    -->
		<property name="NamedSelection" caption="Named Selection" control="select" class="templates.scoping.NamedSelectionObj"></property>
	</controltemplate>

	<!-- Geometry Selection -->
	<controltemplate name="geometry_selection" version="2">
		<!--
    Available Attributes:
      (Optional) selection_filter: "vertex|edge|face|body|node"
      (Optional) default_geometry: true or false(default), indicate if this scoping is the default scoping
    -->
		<property name="Geo" caption="Geometry" control="applycancel" class="templates.scoping.GeometryObj"></property>
	</controltemplate>

	<!-- Scoping -->
	<controltemplate name="scoping" version="2">
		<!--
    Available Attributes:
      (Optional) selection_filter: "vertex|edge|face|body|node"
      (Optional) default_scoping: true or false(default), indicate if this scoping is the default scoping
    -->
		<propertygroup name="Scoping" display="caption" caption="Scope" class="templates.scoping.ScopingObj">
			<propertygroup name="DefineBy" display="property" caption="Scoping Method" control="select" default="Geometry Selection" class="templates.scoping.DefByObj">
				<property name="NamedSelection" control="component_selection" visibleon="Named Selection"></property>
				<property name="Geo" control="geometry_selection" visibleon="Geometry Selection"></property>
			</propertygroup>
		</propertygroup>
	</controltemplate>

	<!-- Entity Selection -->
	<controltemplate name="entity_selection" version="2">
		<!--
    Available Attributes:
	  (Optional) type_filter: "load|result"
      (Optional) name_filter: "name1|name2|..."
    -->
		<property name="select" control="select" class="templates.select.SelectEntity"></property>
	</controltemplate>

	<!-- Coordinate System Selection -->
	<controltemplate name="coordinatesystem_selection" version="2">
		<property name="coord" control="select" class="templates.select.SelectCoordinateSystem"></property>
	</controltemplate>
	
	<!-- Custom Units -->
	<controltemplate name="custom_unit" version="2">
      <property name="unit" control="text" class="templates.customunits.CustomUnits"></property>
    </controltemplate>

</templates>
